<?php

namespace Slack\Channels;

use Illuminate\Notifications\Notification;

class SlackBotChannel
{
	public function send($notifiable,Notification $notification)
	{
		if (! $co = $notifiable->routeNotificationFor('slackapp',$notification)) {
			return;
		}

		$o = $notification->toSlack($notifiable);
		$o->setChannel($co);

		return $o->post();
	}
}